import { EventEmitter } from "../../../stencil-public-runtime";
import { ElementTODO, InspectionGetDTO } from "src/interfaces";
import { States } from "src/utils/utils";
import "@ui5/webcomponents/dist/DatePicker.js";
export declare class SwInspectionForm {
  status: States;
  inspectionGetDTO: InspectionGetDTO;
  filteredTodos: boolean;
  disableEditModeItems: boolean;
  emitFilteredTodos: EventEmitter<boolean>;
  text: string;
  private element;
  updateTodoList: EventEmitter<ElementTODO[]>;
  rapidSaveTodoList: EventEmitter<InspectionGetDTO>;
  updateRapidTodoList: EventEmitter<number>;
  updateInspection: EventEmitter<InspectionGetDTO>;
  updateStatus: EventEmitter<States>;
  deleteItem(event: CustomEvent<number>): void;
  rapidDeleteItem(event: CustomEvent<number>): void;
  watchChangeState(newValue: States): void;
  watchDisableEditModeItems(ev: boolean): void;
  quarterHours: string[];
  times: any[];
  selectedHours: Date | string;
  selectedMinutes: Date | string;
  tempArray: ElementTODO[];
  componentWillLoad(): void;
  componentShouldUpdate(): void;
  componentDidLoad(): void;
  componentDidUpdate(): void;
  addItem(): void;
  updateCheckedValue(el: ElementTODO, ev: CustomEvent<boolean>): void;
  addZeroBefore(n: any): string;
  updateOrderArray(arr: any[], fromIndex: number, toIndex: number, itemsHtml: any[]): any[];
  convertToDate(dateString: any): Date;
  updateState(): void;
  slist(target: any): void;
  handleHours(ev: any): void;
  handleMinutes(ev: any): void;
  padTo2Digits(num: any): any;
  formatDate(date: any): string;
  doFilterTodos(checked: boolean): void;
  render(): any;
}
